Subject: Re: bug#17675: 24.4.50; *gud* buffer keeps on getting buried

From: martin rudalics <[email-masked]>
Date: Thu, 05 Jun 2014 09:48:32 +0200

>>  Where is this `switch-to-buffer' call issued?
 >
 > In `gud-common-init'.

Thanks, I haven't looked into that code for years.  And the final
`display-buffer' call that causes trouble is in `gud-display-line'?

In that case how about the following: In `gud-common-init' instead of
`switch-to-buffer' let's call `display-buffer' with an action list that
would go like

   (display-buffer-reuse-window display-buffer-in-previous-window
    display-buffer-same-window display-buffer-pop-up-window)
		
and in `gud-display-line' use `inhibit-same-window' as you proposed
earlier (and maybe `inhibit-switch-frame' as well).  WDYT?  Could you
try writing an according patch for gud.el?

martin